-- ByzantineUA
-- Author: ponomakarera
-- DateCreated: 2021/06/09 15:02:39
--------------------------------------------------------------
function FoundCapitalByzantine(playerID, iX, iY)
	local player = Players[playerID];
	if(player:IsBarbarian() or player:GetCivilizationType() ~= GameInfo.Civilizations.CIVILIZATION_BYZANTIUM.ID) then return end
	
	local plot = Map.GetPlot(iX, iY);
	local city = plot:GetPlotCity();

	if city:IsCapital() then
		city:SetNumRealBuilding(GameInfoTypes.BUILDING_DUMMY_FOR_BYZANTINE, 1)
		print("Build dummyUA");
	end
end
GameEvents.PlayerCityFounded.Add(FoundCapitalByzantine);

function ByzantineCityCaptured(oldOwnerID, bIsCapital, x, y, newOwnerID, iPop, bConquest)
	if (Players[oldOwnerID]:GetCivilizationType() ~= GameInfo.Civilizations.CIVILIZATION_BYZANTIUM.ID or not(bIsCapital)) then return end

	local byzantine = Players[oldOwnerID];
	for city in byzantine:Cities() do
		if city:IsCapital() and not city:IsHasBuilding(GameInfoTypes.BUILDING_DUMMY_FOR_BYZANTINE) then
			city:SetNumRealBuilding(GameInfoTypes.BUILDING_DUMMY_FOR_BYZANTINE, 1)
			print("Build dummyUA");
			return
		end
	end
end
GameEvents.CityCaptureComplete.Add(ByzantineCityCaptured)

--function ByzantineUA(playerID)
--	local player = Players[playerID]
--	if(player:IsBarbarian() or player:GetCivilizationType() ~= GameInfo.Civilizations.CIVILIZATION_BYZANTIUM.ID) then return end
--	
--	for city in player:Cities() do
--		if city:IsCapital() then
--			if not city:IsHasBuilding(GameInfoTypes.BUILDING_DUMMY_FOR_BYZANTINE) then
--				city:SetNumRealBuilding(GameInfoTypes.BUILDING_DUMMY_FOR_BYZANTINE, 1)
--				print("Build dummyUA");
--				return
--			end
--		end
--	end
--end
--GameEvents.PlayerDoTurn.Add(ByzantineUA);
