-- KremlinsEffect
-- Author: ponomakarera
-- DateCreated: 2021/06/07 3:49:07
--------------------------------------------------------------

function BuildDummy(playerID, cityID, buildingType)
	print("Ran BuildDummy");
	if buildingType == GameInfoTypes.BUILDING_KREMLIN then
		print("Now Kremlin Built");
		local player = Players[playerID]
		for city in player:Cities() do
			city:SetNumRealBuilding(GameInfoTypes.BUILDING_DUMMY_FOR_KREMLIN, 1)
			print("Build DummyBuilding");
		end
	end
end
GameEvents.CityConstructed.Add(BuildDummy)

function CityFounded(playerID, iX, iY)
	local plot = Map.GetPlot(iX, iY);
	local player = Players[playerID];
	local foundedcity = plot:GetPlotCity();
	for city in player:Cities() do
		if city:IsHasBuilding(GameInfoTypes.BUILDING_KREMLIN) then
			foundedcity:SetNumRealBuilding(GameInfoTypes.BUILDING_DUMMY_FOR_KREMLIN, 1)
			print("Build DummyBuilding");
			return
		end
	end
end
GameEvents.PlayerCityFounded.Add(CityFounded);

function OnCityCaptured (oldOwnerID, bIsCapital, x, y, newOwnerID, iPop, bConquest)
	local capturedcity = Map.GetPlot(x, y):GetPlotCity();
	local player = Players[newOwnerID];
	for city in player:Cities() do
		if city:IsHasBuilding(GameInfoTypes.BUILDING_KREMLIN) then
			capturedcity:SetNumRealBuilding(GameInfoTypes.BUILDING_DUMMY_FOR_KREMLIN, 1)
			print("Build DummyBuilding");
			return
		end
	end
end
GameEvents.CityCaptureComplete.Add(OnCityCaptured)

--function OriginalCityFounded(playerID, iX, iY)
--	local plot = Map.GetPlot(iX, iY);
--	local player = Players[playerID];
--	local city = plot:GetPlotCity();
--	local era = player:GetCurrentEra();
--
--	print("GameInfoTypes.ERA_ANCIENT is " .. tostring(GameInfoTypes.ERA_ANCIENT));
--	print("GameInfoTypes.ERA_CLASSICAL is " .. tostring(GameInfoTypes.ERA_CLASSICAL));
--	print("GameInfoTypes.ERA_MEDIEVAL is " .. tostring(GameInfoTypes.ERA_MEDIEVAL));
--	print("GameInfoTypes.ERA_INDUSTRIAL is " .. tostring(GameInfoTypes.ERA_INDUSTRIAL));
--	print("GetCurrentEra is " .. tostring(player:GetCurrentEra()));
--
--	if(not player:IsBarbarian() and city:IsOriginalCapital()) then
--		if era == GameInfoTypes.ERA_ANCIENT then
--			city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_1, 1)
--		elseif era == GameInfoTypes.ERA_CLASSICAL then
--			city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_2, 1)
--			print("Classical building");
--		elseif era == GameInfoTypes.ERA_MEDIEVAL then
--			city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_3, 1)
--		else
--			city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_4, 1)
--			print("Other building");
--		end
--	end
--end
--GameEvents.PlayerCityFounded.Add(OriginalCityFounded);
--
--function AutoChangeBuilding(era, playerID)
--    local player = Players[playerID];
--	
--	if player:IsBarbarian() or not player:IsAlive() then
--		return;
--	end
--	
--	for city in player:Cities() do
--		if city:IsOriginalCapital() then
--			if era == GameInfoTypes.ERA_CLASSICAL then
--				city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_1, 0)
--				city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_2, 1)
--			elseif era == GameInfoTypes.ERA_MEDIEVAL then
--				city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_2, 0)
--				city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_3, 1)
--			elseif era == GameInfoTypes.ERA_RENAISSANCE then
--				city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_3, 0)
--				city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_4, 1)
--			end
--		end
--	end
--end
--Events.SerialEventEraChanged.Add(AutoChangeBuilding)
--
--function OnCityCaptured (oldOwnerID, bIsCapital, x, y, newOwnerID, iPop, bConquest)
--	local city = Map.GetPlot(x, y):GetPlotCity();
--	local player = Players[newOwnerID];
--	local era = player:GetCurrentEra();
--
--	if city == nil or not city:IsOriginalCapital() then
--		return;
--	end
--
--	city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_1, 0)
--	city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_2, 0)
--	city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_3, 0)
--	city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_4, 0)
--
--	if era == GameInfoTypes.ERA_ANCIENT then
--		city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_1, 1)
--	elseif era == GameInfoTypes.ERA_CLASSICAL then
--		city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_2, 1)
--	elseif era == GameInfoTypes.ERA_MEDIEVAL then
--		city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_3, 1)
--	else
--		city:SetNumRealBuilding(GameInfoTypes.BUILDING_BARNENEZ_4, 1)
--	end
--
--end
--GameEvents.CityCaptureComplete.Add(OnCityCaptured)