---------------------
-- SOCIAL POLICIES --
---------------------

-- Liberty

UPDATE Policies SET HappinessPerTradeRoute=0, CityCountUnhappinessMod=-50 WHERE Type='POLICY_MERITOCRACY';

-- Exploration

INSERT INTO Policy_UnitCombatProductionModifiers
(PolicyType, UnitCombatType, ProductionModifier) VALUES
('POLICY_EXPLORATION','UNITCOMBAT_ARCHAEOLOGIST',50);
INSERT INTO UnitCombatInfos
(Type, Description) VALUES
('UNITCOMBAT_ARCHAEOLOGIST','TXT_KEY_UNITCOMBAT_ARCHAEOLOGIST');
UPDATE Units SET CombatClass='UNITCOMBAT_ARCHAEOLOGIST' WHERE Class='UNITCLASS_ARCHAEOLOGIST';

-- Ratiolism

UPDATE Policy_SpecialistExtraYields Set Yield=1 where PolicyType='POLICY_SECULARISM' AND YieldType='YIELD_SCIENCE';


---------------
-- BUILDINGS --
---------------

-- Dummy For Kremlin

DELETE FROM Building_UnitCombatProductionModifiers WHERE BuildingType='BUILDING_KREMLIN';
INSERT INTO Building_UnitCombatProductionModifiers
(BuildingType, UnitCombatType, Modifier) VALUES
('BUILDING_DUMMY_FOR_KREMLIN','UNITCOMBAT_ARMOR',50);

-- Delete Needed Buildings

DELETE FROM Building_ClassesNeededInCity WHERE BuildingType='BUILDING_AMPHITHEATER';
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType='BUILDING_OPERA_HOUSE';
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType='BUILDING_MUSEUM';
DELETE FROM Building_ClassesNeededInCity WHERE BuildingType='BUILDING_BROADCAST_TOWER';

-- Insert Needed Buildings*/
INSERT INTO Building_ClassesNeededInCity
(BuildingType, BuildingClassType) VALUES
('BUILDING_BROADCAST_TOWER','BUILDINGCLASS_OPERA_HOUSE');

/*Buildings
UPDATE Buildings SET LandmarksTourismPercent=20, GreatWorksTourismModifier=20 WHERE Type='BUILDING_HOTEL';
UPDATE Buildings SET LandmarksTourismPercent=20, GreatWorksTourismModifier=20 WHERE Type='BUILDING_AIRPORT';
*/


-----------------
-- CITY STATES --
-----------------

-- Cultured City States

UPDATE Defines Set Value=2 Where Name='FRIENDS_CULTURE_BONUS_AMOUNT_ANCIENT'; /*3*/
UPDATE Defines Set Value=4 Where Name='FRIENDS_CULTURE_BONUS_AMOUNT_MEDIEVAL'; /*6*/
UPDATE Defines Set Value=8 Where Name='FRIENDS_CULTURE_BONUS_AMOUNT_INDUSTRIAL'; /*13*/
UPDATE Defines Set Value=2 Where Name='ALLIES_CULTURE_BONUS_AMOUNT_ANCIENT'; /*6*/
UPDATE Defines Set Value=4 Where Name='ALLIES_CULTURE_BONUS_AMOUNT_MEDIEVAL'; /*12*/
UPDATE Defines Set Value=8 Where Name='ALLIES_CULTURE_BONUS_AMOUNT_INDUSTRIAL'; /*26*/


------------
-- OTHERS --
------------

/*Great Work Value
UPDATE Defines Set Value=2 Where Name='BASE_TOURISM_PER_GREAT_WORK'; /*2*/